## profiled 0.30.2-1+0cssu1+thumb0

=== Makefile ===
# -*- mode: sh -*-
# ----------------------------------------------------------------------------
# Configuration options
# ----------------------------------------------------------------------------

#USE_SYSTEM_BUS=y# Anything but 'y' will make profiled use session bus

# ----------------------------------------------------------------------------
# Basic Setup
# ----------------------------------------------------------------------------

VERS := $(shell head -1 debian/changelog  | sed -e 's:^.*(::' -e 's:).*::')
NAME ?= profiled
ROOT ?= /tmp/test-$(NAME)

PREFIX ?= /usr
ETCDIR ?= /etc/profiled
BINDIR ?= $(PREFIX)/bin
DLLDIR ?= $(PREFIX)/lib
LIBDIR ?= $(PREFIX)/lib
INCDIR ?= $(PREFIX)/include/$(NAME)

DOCDIR ?= $(PREFIX)/share/doc/$(NAME)
MANDIR ?= $(PREFIX)/share/man

DEVDOCDIR ?= $(PREFIX)/share/doc/libprofile-doc
PKGCFGDIR ?= $(PREFIX)/lib/pkgconfig

BACKUP_DIR ?= /etc/osso-backup
BACKUPFW_DIR ?= /usr/share/backup-framework

CUD_DIR      ?= /etc/osso-cud-scripts
RFS_DIR      ?= /etc/osso-rfs-scripts

DOXYDIR := doxydir

SO ?= .so.0

TEMPLATE_COPY = sed\
 -e 's:@NAME@:${NAME}:g'\
 -e 's:@VERS@:${VERS}:g'\
 -e 's:@ROOT@:${ROOT}:g'\
 -e 's:@PREFIX@:${PREFIX}:g'\
 -e 's:@BINDIR@:${BINDIR}:g'\
 -e 's:@LIBDIR@:${LIBDIR}:g'\
 -e 's:@DLLDIR@:${DLLDIR}:g'\
 -e 's:@INCDIR@:${INCDIR}:g'\
 -e 's:@DOCDIR@:${DOCDIR}:g'\
 -e 's:@MANDIR@:${MANDIR}:g'\
 -e 's:@DEVDOCDIR@:${DEVDOCDIR}:g'\
 -e 's:@PKGCFGDIR@:${PKGCFGDIR}:g'\
 -e 's:@BACKUPFW_DIR@:${BACKUPFW_DIR}:g'\
 -e 's:@BACKUP_DIR@:${BACKUP_DIR}:g'\
 < $< > $@

# ----------------------------------------------------------------------------
# Global Flags
# ----------------------------------------------------------------------------

CPPFLAGS += -D_GNU_SOURCE

CFLAGS   += -Wall
CFLAGS   += -Wmissing-prototypes
CFLAGS   += -std=c99
CFLAGS   += -Os
CFLAGS   += -g

LDFLAGS  += -g

LDLIBS   += -Wl,--as-needed

# flags from pkgtool

PKG_NAMES    := dbus-glib-1 dbus-1 glib-2.0
PKG_CFLAGS   := $(shell pkg-config --cflags $(PKG_NAMES))
PKG_LDLIBS   := $(shell pkg-config --libs   $(PKG_NAMES))

PKG_CPPFLAGS := $(filter -D%,$(PKG_CFLAGS)) $(filter -I%,$(PKG_CFLAGS))
PKG_CFLAGS   := $(filter-out -I%, $(filter-out -D%, $(PKG_CFLAGS)))

CPPFLAGS += $(PKG_CPPFLAGS)
CFLAGS   += $(PKG_CFLAGS)
LDLIBS   += $(PKG_LDLIBS) -lrt

ifeq ($(USE_SYSTEM_BUS),y)
CPPFLAGS += -DUSE_SYSTEM_BUS
endif

CPPFLAGS += -D LOGGING_ENABLED # any logging at all?

## QUARANTINE CPPFLAGS += -D LOGGING_LEVEL=7 # debug
## QUARANTINE CPPFLAGS += -D LOGGING_LEVEL=6 # info
## QUARANTINE CPPFLAGS += -D LOGGING_LEVEL=5 # notice
CPPFLAGS += -D LOGGING_LEVEL=4 # warning
## QUARANTINE CPPFLAGS += -D LOGGING_LEVEL=3 # err
## QUARANTINE CPPFLAGS += -D LOGGING_LEVEL=2 # crit
## QUARANTINE CPPFLAGS += -D LOGGING_LEVEL=1 # alert
## QUARANTINE CPPFLAGS += -D LOGGING_LEVEL=0 # emerg

CPPFLAGS += -D LOGGING_CHECK1ST# level check before args eval
## QUARANTINE CPPFLAGS += -D LOGGING_EXTRA   # promote debug to warnings
## QUARANTINE CPPFLAGS += -D LOGGING_FNCALLS # calltree via ENTER/LEAVE

# ----------------------------------------------------------------------------
# Top Level Targets
# ----------------------------------------------------------------------------

TARGETS += libprofile.a
TARGETS += libprofile$(SO)
TARGETS += profiled
TARGETS += profileclient
TARGETS += profile-tracker

FLOW_GRAPHS = $(foreach e,.png .pdf .eps,\
		  $(addsuffix $e,$(addprefix $1,.fun .mod .api .top)))

EXTRA += $(call FLOW_GRAPHS, profileclient)
EXTRA += $(call FLOW_GRAPHS, profiled)

.PHONY: build clean distclean mostlyclean install debclean

build:: $(TARGETS)

extra:: $(EXTRA)

all:: build extra

clean:: mostlyclean
	$(RM) $(TARGETS) $(EXTRA)

distclean:: clean

debclean:: distclean
	fakeroot ./debian/rules clean

mostlyclean::
	$(RM) *.o *~

install:: $(addprefix install-,profiled profileclient libprofile libprofile-dev libprofile-doc profile-data profile-data-dev)

.PHONY: dox
dox:
	doxygen

distclean::
	$(RM) -r $(DOXYDIR)

# ----------------------------------------------------------------------------
# Pattern rules
# ----------------------------------------------------------------------------

install-%-bin:
	$(if $<, install -m755 -d $(ROOT)$(BINDIR))
	$(if $<, install -m755 $^ $(ROOT)$(BINDIR))

install-%-lib:
	$(if $<, install -m755 -d $(ROOT)$(LIBDIR))
	$(if $<, install -m755 $^ $(ROOT)$(LIBDIR))

install-%-dll:
	$(if $<, install -m755 -d $(ROOT)$(DLLDIR))
	$(if $<, install -m755 $^ $(ROOT)$(DLLDIR))

install-%-inc:
	$(if $<, install -m755 -d $(ROOT)$(INCDIR))
	$(if $<, install -m644 $^ $(ROOT)$(INCDIR))

install-%-backup-config:
	$(if $<, install -m755 -d $(ROOT)$(BACKUP_DIR)/applications)
	$(if $<, install -m644 $^ $(ROOT)$(BACKUP_DIR)/applications)

install-%-backup-restore:
	$(if $<, install -m755 -d $(ROOT)$(BACKUP_DIR)/restore.d/always)
	$(if $<, install -m755 $^ $(ROOT)$(BACKUP_DIR)/restore.d/always)

install-%-cud-scripts:
	$(if $<, install -m755 -d $(ROOT)$(CUD_DIR))
	$(if $<, install -m755 $^ $(ROOT)$(CUD_DIR))

install-%-rfs-scripts:
	$(if $<, install -m755 -d $(ROOT)$(RFS_DIR))
	$(if $<, install -m755 $^ $(ROOT)$(RFS_DIR))

%.pc     : %.pc.tpl ; $(TEMPLATE_COPY)
%        : %.tpl    ; $(TEMPLATE_COPY)

% : %.o
	$(CC) -o $@ $^ $(LDFLAGS) $(LDLIBS)

%$(SO): LDFLAGS += -shared -Wl,-soname,$@

%$(SO):
	$(CC) -o $@  $^ $(LDFLAGS) $(LDLIBS)

%.a:
	$(AR) ru $@ $^

%.pic.o : CFLAGS += -fPIC
%.pic.o : CFLAGS += -fvisibility=hidden

%.pic.o : %.c
	@echo "Compile Dynamic: $<"
	@$(CC) -o $@ -c $< $(CPPFLAGS) $(CFLAGS)

%.o     : %.c
	@echo "Compile Static: $<"
	@$(CC) -o $@ -c $< $(CPPFLAGS) $(CFLAGS)

FLOWFLAGS += -Mtracker=libprofile

FLOWFLAGS += -Xlogging,xutil
## QUARANTINE FLOWFLAGS += -Xcodec
## QUARANTINE FLOWFLAGS += -Xsymtab
## QUARANTINE FLOWFLAGS += -Xunique
## QUARANTINE FLOWFLAGS += -Xprofileval
## QUARANTINE FLOWFLAGS += -Xsighnd
## QUARANTINE FLOWFLAGS += -Xinifile
## QUARANTINE FLOWFLAGS += -Xdbusif

CFLOW := cflow -v --omit-arguments

%.eps     : %.ps    ; ps2epsi $< $@
%.ps      : %.dot   ; dot -Tps  $< -o $@
%.pdf     : %.dot   ; dot -Tpdf $< -o $@
%.png     : %.dot   ; dot -Tpng $< -o $@
%.mod.dot : %.cflow ; ./flow.py -c1 $(FLOWFLAGS) < $< > $@
%.fun.dot : %.cflow ; ./flow.py -c0 $(FLOWFLAGS) < $< > $@
%.api.dot : %.cflow ; ./flow.py -i1 $(FLOWFLAGS) < $< > $@
%.top.dot : %.cflow ; ./flow.py -t1 $(FLOWFLAGS) < $< > $@
%.cflow   :         ; $(CFLOW) -o $@ $^

# ----------------------------------------------------------------------------
# profiled
# ----------------------------------------------------------------------------

profiled_src = \
  profiled.c\
  mainloop.c\
  logging.c\
  sighnd.c\
  server.c\
  database.c\
  confmon.c\
  inifile.c\
  unique.c\
  symtab.c\
  codec.c\
  xutil.c\
  profileval.c

profiled_obj = $(profiled_src:.c=.o)

profiled : $(profiled_obj)
profiled.cflow : $(profiled_src)

# ----------------------------------------------------------------------------
# libprofile
# ----------------------------------------------------------------------------

libprofile_src =\
 libprofile.c\
 connection.c\
 tracker.c\
 codec.c\
 profileval.c\
 logging_client.c

libprofile_obj = $(libprofile_src:.c=.o)

libprofile$(SO) : $(libprofile_obj:.o=.pic.o)

libprofile.a : $(libprofile_obj)

# ----------------------------------------------------------------------------
# profileclient
# ----------------------------------------------------------------------------

profileclient_src = profileclient.c
profileclient_obj = $(profileclient_src:.c=.o)

#profileclient : CFLAGS += -Wno-missing-prototypes
profileclient : $(profileclient_obj) libprofile$(SO)

profileclient.cflow : $(profileclient_src) $(libprofile_src)

# special case: no warnings from using deprecated functions
profileclient.o: CFLAGS += -Wno-deprecated-declarations

# ----------------------------------------------------------------------------
# profile-tracker  -- debug stuff
# ----------------------------------------------------------------------------

profiletracker_src = profile-tracker.c logging.c
profiletracker_obj = $(profiletracker_src:.c=.o)

profile-tracker : $(profiletracker_obj) libprofile$(SO)
profile-tracker.cflow : $(profiletracker_src) $(libprofile_src)

# ----------------------------------------------------------------------------
# camera-example1
# ----------------------------------------------------------------------------

camera-example1 : camera-example1.o libprofile$(SO)

# ----------------------------------------------------------------------------
# profiled.deb
# ----------------------------------------------------------------------------

install-profiled-bin: profiled

install-profiled-backup-config: osso-backup/profiled.conf

install-profiled-cud-scripts: osso-cud-scripts/profiled.sh
install-profiled-rfs-scripts: osso-rfs-scripts/profiled.sh

install-profiled-appkiller: install-profiled-cud-scripts install-profiled-rfs-scripts

distclean:: ; $(RM) osso-backup/profiled.conf

install-profiled-backup-restore:

install-profiled:: $(addprefix install-profiled-, bin backup-config appkiller)
ifeq ($(USE_SYSTEM_BUS),y)
	install -m755 -d $(ROOT)$(PREFIX)/share/dbus-1/system-services
	install -m644 profiled.system.service \
		$(ROOT)$(PREFIX)/share/dbus-1/system-services/profiled.service
	install -m755 -d $(ROOT)/etc/dbus-1/system.d
	install -m644 profiled.system.conf \
		$(ROOT)/etc/dbus-1/system.d/profiled.conf
else
	install -m755 -d $(ROOT)$(PREFIX)/share/dbus-1/services
	install -m644 profiled.service \
		$(ROOT)$(PREFIX)/share/dbus-1/services/profiled.service
endif
# ----------------------------------------------------------------------------
# profileclient.deb
# ----------------------------------------------------------------------------

install-profileclient-bin: profileclient #profile-tracker

install-profileclient:: $(addprefix install-profileclient-, bin)

# ----------------------------------------------------------------------------
# libprofile.deb
# ----------------------------------------------------------------------------

install-libprofile-dll: libprofile$(SO)

install-libprofile:: $(addprefix install-libprofile-, dll)

# ----------------------------------------------------------------------------
# libprofile-dev.deb
# ----------------------------------------------------------------------------

install-libprofile-dev-inc: libprofile.h profileval.h
install-libprofile-dev-lib: libprofile.a

install-libprofile-dev:: $(addprefix install-libprofile-dev-, lib inc) profile.pc
	ln -sf libprofile$(SO) $(ROOT)$(LIBDIR)/libprofile.so
	install -m755 -d $(ROOT)$(PKGCFGDIR)
	install -m644 profile.pc $(ROOT)$(PKGCFGDIR)/

clean::
	$(RM) profile.pc

# ----------------------------------------------------------------------------
# libprofile-doc.deb
# ----------------------------------------------------------------------------

install-libprofile-doc-html: dox
	install -m755 -d $(ROOT)$(DEVDOCDIR)/html
	install -m644 $(DOXYDIR)/html/* $(ROOT)$(DEVDOCDIR)/html/

install-libprofile-doc-man:
	install -m755 -d $(ROOT)$(MANDIR)/man3
	install -m644 $(DOXYDIR)/man/man3/* $(ROOT)$(MANDIR)/man3/

install-libprofile-doc:: $(addprefix install-libprofile-doc-, html man)

# ----------------------------------------------------------------------------
# profile-data.deb
# ----------------------------------------------------------------------------

install-profile-data: ini/90.nokia.ini
	install -m755 -d $(ROOT)$(ETCDIR)
	install -m644 ini/90.nokia.ini $(ROOT)$(ETCDIR)/90.nokia.ini

# ----------------------------------------------------------------------------
# profile-data-dev.deb
# ----------------------------------------------------------------------------

install-profile-data-dev: keys_nokia.h profile-data.pc
	install -m755 -d $(ROOT)$(INCDIR)
	install -m755 -d $(ROOT)$(PKGCFGDIR)
	install -m644 keys_nokia.h $(ROOT)$(INCDIR)/keys_nokia.h
	install -m644 profile-data.pc $(ROOT)$(PKGCFGDIR)/profile-data.pc

clean::
	$(RM) profile-data.pc

=== examples/Makefile ===
# -*- mode: sh -*-

# ----------------------------------------------------------------------------
# Global Flags
# ----------------------------------------------------------------------------

CPPFLAGS += -D_GNU_SOURCE

CFLAGS   += -Wall
CFLAGS   += -Wmissing-prototypes
CFLAGS   += -std=c99
CFLAGS   += -Os
CFLAGS   += -g

LDFLAGS  += -g

LDLIBS   += -Wl,--as-needed
LDLIBS   += -lrt

PKG_NAMES    := dbus-glib-1 dbus-1 glib-2.0 profile
PKG_CFLAGS   := $(shell pkg-config --cflags $(PKG_NAMES))
PKG_LDLIBS   := $(shell pkg-config --libs   $(PKG_NAMES))

PKG_CPPFLAGS := $(filter -D%,$(PKG_CFLAGS)) $(filter -I%,$(PKG_CFLAGS))
PKG_CFLAGS   := $(filter-out -I%, $(filter-out -D%, $(PKG_CFLAGS)))

CPPFLAGS += $(PKG_CPPFLAGS)
CFLAGS   += $(PKG_CFLAGS)
LDLIBS   += $(PKG_LDLIBS)

# ----------------------------------------------------------------------------
# Top Level Targets
# ----------------------------------------------------------------------------

TARGETS += delayed_session_bus
TARGETS += callbacks_without_mainloop
TARGETS += multiple_callbacks

.PHONY: build clean distclean mostlyclean install debclean

build:: $(TARGETS)

all:: build extra

clean:: mostlyclean
	$(RM) $(TARGETS) $(EXTRA)

distclean:: clean

mostlyclean::
	$(RM) *.o *~

## profiled 0.30.2-1+0cssu1

=== debian/changelog ===
profiled (0.30.2-1+0cssu1) fremantle; urgency=low

  * Merge tag '0.30.2-1'
  * Merge nemo git repository 'https://github.com/nemomobile/profiled'
  * Fix linking with new glib by adding missing library to linking

 -- Pali Rohár <pali.rohar@gmail.com>  Wed, 06 Feb 2013 22:09:01 +0100

profiled (0.30.2-1) harmattan; urgency=low

  * Increasing version number
  * Adding missing ini file : 10.meego_default.ini into profiled package

 -- Gabor Juhasz <ext-gabor.2.juhasz@nokia.com>  Thu, 03 Feb 2011 13:15:48 +0200

profiled (0.30.1-1+0cssu2) fremantle; urgency=low

  * Remove meeting and outdoors profiles from profiled binary

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 05 Jan 2013 09:46:57 +0100

profiled (0.30.1-1+0cssu1) fremantle; urgency=low

  * Do not install harmattan backupfw files
  * Added fremantle configuration file
  * Added profile-data and profile-data-dev packages

 -- Pali Rohár <pali.rohar@gmail.com>  Fri, 14 Dec 2012 23:35:45 +0100

profiled (0.30.1-1) harmattan; urgency=low

  * Increasing version number
  * Permission fix in Makefile
  * Missing .depend file added

 -- Gabor Juhasz <ext-gabor.2.juhasz@nokia.com>  Fri, 28 Jan 2011 14:44:46 +0200

profiled (0.30.0-2) harmattan; urgency=low

  * Bumping version number.

 -- Telle-Tiia Pitkanen <telle-tiia.pitkanen@ixonos.com>  Tue, 14 Sep 2010 15:39:28 +0300

profiled (0.30.0-1) harmattan; urgency=low

  * Fixes: NB#186290 - Import profiled fixes from Fremantle to Harmattan

 -- Miikka Kulmala <miikka.kulmala@ixonos.com>  Mon, 13 Sep 2010 16:00:15 +0300

profiled (0.29.0-1) harmattan; urgency=low

  * Fixes: NB#186406 - Added missing API file

 -- jperala <juha.perala@ixonos.com>  Mon, 30 Aug 2010 10:12:00 +0300

profiled (0.29.0-0) harmattan; urgency=low

  * Increasiong version number 

 -- narasimha <ext-narasimha.bommu@nokia.com>  Fri, 27 Aug 2010 11:21:46 +0300

profiled (0.28.0-3) harmattan; urgency=low

  * Fixes: NB#181521- Custom profile settings are not created by default and custon.ini also goes to backup

 -- Juha Periala <juha.perala@ixonos.com>  Wed, 25 Aug 2010 13:43:48 +0300

profiled (0.28.0-1) harmattan; urgency=low

  * Fixes: NB#181521 - Unable to restore message alert tone

 -- Telle-Tiia Pitkanen <telle-tiia.pitkanen@ixonos.com>  Mon, 16 Aug 2010 13:51:48 +0300

profiled (0.11.0-1) harmattan; urgency=low

  * Fixes: NB#149517 - If profile is changed from Status indicator menu then the profile is not updated to Profile settings view

 --  Telle-Tiia Pitkanen <telle-tiia.pitkanen@ixonos.com>  Tue,  8 Dec 2009 12:21:02 +0200

profiled (0.1.0-0) unstable; urgency=low

  * Harmattan branch of profiled. Branched from Fremantle 0.0.17. 

 --  Telle-Tiia Pitkanen <telle-tiia.pitkanen@ixonos.com>  Thu, 22 Oct 2009 15:20:12 +0300

=== debian/control ===
Source: profiled
Section: misc
Priority: optional
Maintainer: Simo Piiroinen <simo.piiroinen@nokia.com>
Build-Depends: debhelper (>= 4.1.0),
 libdbus-1-dev,
 libdbus-glib-1-dev,
 libglib2.0-dev,
 doxygen
Standards-Version: 3.7.2

Package: profiled
Architecture: any
Depends: ${shlibs:Depends}
Description: profile daemon, manages user settings
 Gets default set of settings from profile data packages
 that are installed on the device.
 .
 Currently active profile and values within profile can
 be changed using C language API implemented in libprofile0.
 .
 Changes to values are broadcast as D-Bus signals so that
 active clients can be avare of changes without polling.

Package: profiled-dbg
Section: devel
Priority: extra
Architecture: any
Depends: profiled (= ${binary:Version})
Description: debug symbols for profiled
 This package contains debug information for profiled,
 useful for debugging tools like gdb.

Package: profileclient
Architecture: any
Depends: ${shlibs:Depends}
Description: command line test tool for profiled
 The profileclient tool can be used to query/change
 profiles and profile values.

Package: profileclient-dbg
Section: devel
Priority: extra
Architecture: any
Depends: profileclient (= ${binary:Version})
Description: debug symbols for profileclient
 This package contains debug information for XXX,
 useful for debugging tools like gdb.

Package: libprofile0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, profiled (>= ${binary:Version})
Description: client library for communicating with profiled
 Dynamic library implementing the API use for accessing
 profile data managed by the profile daemon.

Package: libprofile0-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libprofile0 (= ${binary:Version})
Description: debug symbols for libprofile0
 This package contains debug information for libprofile0,
 useful for debugging tools like gdb.

Package: libprofile-dev
Section: libdevel
Architecture: any
Depends: libprofile0 (= ${binary:Version}), ${shlibs:Depends}
Description: development files for libprofile0
 C language headers for building client applications using
 libprofile0 library.

Package: libprofile-doc
Section: doc
Architecture: all
Depends:
Description: API documentation for libprofile0
 Doxygen generated files documenting the C language API used by
 the client applications and the D-Bus API used by libprofile0
 for communication with profiled.

Package: profile-data
Architecture: all
Description: configuration data for the profile daemon
 Contains default values for profile keys from
 product UI specifications.

Package: profile-data-dev
Section: libdevel
Architecture: all
Depends: profile-data (= ${binary:Version})
Description: development files for profile-data
 Include file for C language defining profile key names.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: sh -*- -----------------------------------------------
# Debian rules for building profiled
# ----------------------------------------------------------------
#
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

.PHONY: build clean realclean install configure\
	binary-indep binary-arch binary

build:: build-stamp

binary:: binary-indep binary-arch

realclean:: clean

configure::
# nothing to do

#----------------------------------------------------------------
# compiling the software

build-stamp: configure
	dh_testdir
	touch $@

clean::
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean

#----------------------------------------------------------------
# debian cleanup
clean::
	dh_testdir
	dh_testroot
	dh_clean

#----------------------------------------------------------------
# installation

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install-profiled       ROOT=debian/profiled
	$(MAKE) install-libprofile     ROOT=debian/libprofile0
	$(MAKE) install-libprofile-dev ROOT=debian/libprofile-dev
	$(MAKE) install-libprofile-doc ROOT=debian/libprofile-doc
	$(MAKE) install-profileclient  ROOT=debian/profileclient
	$(MAKE) install-profile-data   ROOT=debian/profile-data
	$(MAKE) install-profile-data-dev ROOT=debian/profile-data-dev

#----------------------------------------------------------------
# architecture-independent files -> DEBIAN dirs

binary-indep: install
# nothing to do

#----------------------------------------------------------------
# architecture-dependent files -> DEBIAN dirs

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples
	dh_install -s
	dh_installman
## QUARANTINE 	# FIXME: star/stop profiled priorities & runlevels?
## QUARANTINE 	dh_installinit --name=profiled -- start 03 2 3 5 . stop 97 0 1 6 .
	dh_link
	dh_strip --dbg-package=profiled\
	         --dbg-package=profileclient\
	         --dbg-package=libprofile0
	dh_compress
	dh_fixperms
	dh_makeshlibs
# 	dh_pysupport
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

## profiled 0.30.2-1+0cssu1+thumb0

=== debian/changelog ===
profiled (0.30.2-1+0cssu1+thumb0) fremantle; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Mon, 30 Dec 2013 07:48:43 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: profiled
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, kernel-feature-errata-430973-workaround[armel]
 Description: profile daemon, manages user settings
  Gets default set of settings from profile data packages
  that are installed on the device.
@@ -33,7 +33,7 @@
 
 Package: profileclient
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, kernel-feature-errata-430973-workaround[armel]
 Description: command line test tool for profiled
  The profileclient tool can be used to query/change
  profiles and profile values.
@@ -50,7 +50,7 @@
 Package: libprofile0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, profiled (>= ${binary:Version})
+Depends: ${shlibs:Depends}, profiled (>= ${binary:Version}), kernel-feature-errata-430973-workaround[armel]
 Description: client library for communicating with profiled
  Dynamic library implementing the API use for accessing
  profile data managed by the profile daemon.

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,12 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+  CFLAGS += -mthumb
+endif
+
+export CFLAGS
 
 .PHONY: build clean realclean install configure\
 	binary-indep binary-arch binary
